// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface PeakShavingOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.PeakShaving)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * uint/1kW  If the supervised power goes below this limit, the ESS will charge to maintain this limit.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue baseShavingLimit = 1;</code>
   * @return Whether the baseShavingLimit field is set.
   */
  boolean hasBaseShavingLimit();
  /**
   * <pre>
   * uint/1kW  If the supervised power goes below this limit, the ESS will charge to maintain this limit.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue baseShavingLimit = 1;</code>
   * @return The baseShavingLimit.
   */
  com.google.protobuf.FloatValue getBaseShavingLimit();
  /**
   * <pre>
   * uint/1kW  If the supervised power goes below this limit, the ESS will charge to maintain this limit.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue baseShavingLimit = 1;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getBaseShavingLimitOrBuilder();

  /**
   * <pre>
   * Control value (TRUE or FALSE)
   * </pre>
   *
   * <code>.google.protobuf.BoolValue peakShavingCtl = 2;</code>
   * @return Whether the peakShavingCtl field is set.
   */
  boolean hasPeakShavingCtl();
  /**
   * <pre>
   * Control value (TRUE or FALSE)
   * </pre>
   *
   * <code>.google.protobuf.BoolValue peakShavingCtl = 2;</code>
   * @return The peakShavingCtl.
   */
  com.google.protobuf.BoolValue getPeakShavingCtl();
  /**
   * <pre>
   * Control value (TRUE or FALSE)
   * </pre>
   *
   * <code>.google.protobuf.BoolValue peakShavingCtl = 2;</code>
   */
  com.google.protobuf.BoolValueOrBuilder getPeakShavingCtlOrBuilder();

  /**
   * <pre>
   * uint/1kW  If the supervised power goes above this limit, the ESS will discharge to maintain this
   * limit.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue peakShavingLimit = 3;</code>
   * @return Whether the peakShavingLimit field is set.
   */
  boolean hasPeakShavingLimit();
  /**
   * <pre>
   * uint/1kW  If the supervised power goes above this limit, the ESS will discharge to maintain this
   * limit.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue peakShavingLimit = 3;</code>
   * @return The peakShavingLimit.
   */
  com.google.protobuf.FloatValue getPeakShavingLimit();
  /**
   * <pre>
   * uint/1kW  If the supervised power goes above this limit, the ESS will discharge to maintain this
   * limit.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue peakShavingLimit = 3;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getPeakShavingLimitOrBuilder();

  /**
   * <pre>
   * uint/1kW  If the supervised power is between the band defined by these two limits then SOC
   * management is allowed.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue socManagementAllowedHighLimit = 4;</code>
   * @return Whether the socManagementAllowedHighLimit field is set.
   */
  boolean hasSocManagementAllowedHighLimit();
  /**
   * <pre>
   * uint/1kW  If the supervised power is between the band defined by these two limits then SOC
   * management is allowed.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue socManagementAllowedHighLimit = 4;</code>
   * @return The socManagementAllowedHighLimit.
   */
  com.google.protobuf.FloatValue getSocManagementAllowedHighLimit();
  /**
   * <pre>
   * uint/1kW  If the supervised power is between the band defined by these two limits then SOC
   * management is allowed.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue socManagementAllowedHighLimit = 4;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getSocManagementAllowedHighLimitOrBuilder();

  /**
   * <pre>
   * uint/1kW  If the supervised power is between the band defined by these two limits then SOC
   * management is allowed.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue socManagementAllowedLowLimit = 5;</code>
   * @return Whether the socManagementAllowedLowLimit field is set.
   */
  boolean hasSocManagementAllowedLowLimit();
  /**
   * <pre>
   * uint/1kW  If the supervised power is between the band defined by these two limits then SOC
   * management is allowed.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue socManagementAllowedLowLimit = 5;</code>
   * @return The socManagementAllowedLowLimit.
   */
  com.google.protobuf.FloatValue getSocManagementAllowedLowLimit();
  /**
   * <pre>
   * uint/1kW  If the supervised power is between the band defined by these two limits then SOC
   * management is allowed.
   * </pre>
   *
   * <code>.google.protobuf.FloatValue socManagementAllowedLowLimit = 5;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getSocManagementAllowedLowLimitOrBuilder();
}
